import { Georouter } from '../../domain/interfaces/georouter.interface';
import { GraphhopperGeorouter } from './graphhopper-georouter';

export class GeorouterCreator {
  create(type: string, url: string): Georouter {
    switch (type) {
      case 'graphhopper':
        return new GraphhopperGeorouter(url);
      default:
        throw new Error('Unknown geocoder');
    }
  }
}
